#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char *argv[]) {
    FILE *file;
    char buffer[1000];
    file = fopen("testo.txt", "w");
    if (file == NULL) {
        perror("ERRORE nell'apertura del file");
        return -1;
    }
    // **************** Operazioni sul file ****************
    //Creazione
    printf("Inserisci del testo (termina con ':fine'):\n");
    while(1) {
        fgets(buffer, sizeof(buffer), stdin);
        buffer[strcspn(buffer, "\n")] = 0; // Rimuove il carattere di nuova linea
        if (strcmp(buffer, ":fine") == 0) {
            break;
        }
        fputs(buffer, file);
        fputs("\n", file);
    }
    fclose(file);
    // Lettura   
    printf("\nContenuto del file 'testo.txt':\n");
    file = fopen("testo.txt", "r"); 
    if (file == NULL) {
        perror("ERRORE nell'apertura del file");
        return -1;
    }
    int i=0;
    while (fgets(buffer, sizeof(buffer), file) != NULL) {
        i++;
        printf("%4d>%s", i,buffer);
    }   
    return 0;
}